

.container3 {
  max-width: 800px;
  margin: 20px auto;
  padding: 20px;
  border-radius: 10px;
  background-color: #fff;
  box-shadow: 0 10px 20px rgba(0, 0, 0, 0.1);
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(100px, 1fr));
  gap: 20px;
}




     .container2 {
      max-width: 800px;
      margin: 20px auto;
      padding: 20px;
      border-radius: 10px;
      background-color: #fff;
      box-shadow: 0 10px 20px rgba(0, 0, 0, 0.1);
      position: relative;
      display: grid;
      grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
      gap: 20px;
    }

    .container {
      max-width: 800px;
      margin: 20px auto;
      padding: 20px;
      border-radius: 10px;
      background-color: #fff;
      box-shadow: 0 10px 20px rgba(0, 0, 0, 0.1);
      position: relative;
    }

    .card {
      padding: 20px;
      margin-bottom: 20px;
      border-radius: 8px;
      box-shadow: 0 6px 12px rgba(0, 0, 0, 0.1);
      position: relative;
    }

    .card-title {
      font-size: 1rem;
      margin-bottom: 10px;
      position: relative;
      color: darkblue;
    }

    .card-content {
      margin-bottom: 20px;
    }

    .card-content ul {
      list-style-type: disc;
      padding-left: 20px;
    }

    .card-content ul li {
      margin-bottom: 5px;
    }

    .wonder-letters {
      background-color: #fdeada;
    }

    .wonder-lettersR {
      background-color: #ffdddd;
    }
    
    .wonder-middle-names {
      background-color: #EDE8F6;
    }

    .wonder-father-name {
      background-color: #FDEAFD;
    }

    .cardV {
      flex-basis: calc(50% - 20px); /* Adjust as needed */
      padding: 20px;
      margin-bottom: 20px;
      border-radius: 8px;
      box-shadow: 12px 6px 12px rgba(0, 0, 0, 0.1);
      position: relative;

    }
   .pvalues {
      background-color: #ccfaf9;
    }
    
    .cvalues {
      background-color: #ccfaf9;
    }

    .dvalues{
      background-color: #FFECBA;
    }


   .Tvalues {
      background-color: #9370DB;
    }

    .footer {
    background-color: #fff;
    text-align: center;
    padding: 20px;
    margin-top: 20px;
    border-top: 1px solid #ccc;
    box-shadow: -1px -6px 8px rgb(0 30 255);
    }

    /* Tooltip */
   /* START TOOLTIP STYLES */
[tooltip] {
  position: relative; /* opinion 1 */
}

/* Applies to all tooltips */
[tooltip]::before,
[tooltip]::after {
  text-transform: none; /* opinion 2 */
  font-size: .9em; /* opinion 3 */
  line-height: 1;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
  pointer-events: none;
  position: absolute;
  display: none;
  opacity: 0;
}
[tooltip]::before {
  content: '';
  border: 5px solid transparent; /* opinion 4 */
  z-index: 1001; /* absurdity 1 */
}
[tooltip]::after {
  content: attr(tooltip); /* magic! */
  
  /* most of the rest of this is opinion */
  font-family: Helvetica, sans-serif;
  text-align: center;
  
  /* 
    Let the content set the size of the tooltips 
    but this will also keep them from being obnoxious
    */
  min-width: 15em;
  max-width: 83em;
  white-space: wrap;
  overflow: hidden;
  text-overflow: ellipsis;
  padding: 1ch 1.5ch;
  border-radius: .3ch;
  box-shadow: 0 1em 2em -.5em rgba(0, 0, 0, 0.35);
  background: #333;
  color: #fff;
  z-index: 1000; /* absurdity 2 */
}

/* Make the tooltips respond to hover */
[tooltip]:hover::before,
[tooltip]:hover::after {
  display: block;
}

/* don't show empty tooltips */
[tooltip='']::before,
[tooltip='']::after {
  display: none !important;
}

/* FLOW: UP */
[tooltip]:not([flow])::before,
[tooltip][flow^="up"]::before {
  bottom: 100%;
  border-bottom-width: 0;
  border-top-color: #333;
}
[tooltip]:not([flow])::after,
[tooltip][flow^="up"]::after {
  bottom: calc(100% + 5px);
}
[tooltip]:not([flow])::before,
[tooltip]:not([flow])::after,
[tooltip][flow^="up"]::before,
[tooltip][flow^="up"]::after {
  left: 50%;
  transform: translate(-50%, -.5em);
}



/* KEYFRAMES */
@-webkit-keyframes tooltips-vert {
  to {
    opacity: .9;
    transform: translate(-50%, 0);
  }
}
@keyframes tooltips-vert {
  to {
    opacity: .9;
    transform: translate(-50%, 0);
  }
}

@-webkit-keyframes tooltips-horz {
  to {
    opacity: .9;
    transform: translate(0, -50%);
  }
}

@keyframes tooltips-horz {
  to {
    opacity: .9;
    transform: translate(0, -50%);
  }
}

/* FX All The Things */ 
[tooltip]:not([flow]):hover::before,
[tooltip]:not([flow]):hover::after,
[tooltip][flow^="up"]:hover::before,
[tooltip][flow^="up"]:hover::after,
[tooltip][flow^="down"]:hover::before,
[tooltip][flow^="down"]:hover::after {
  -webkit-animation: tooltips-vert 300ms ease-out forwards;
          animation: tooltips-vert 300ms ease-out forwards;
}




    
    


    /* Toggle Button */
    .toggle-button {
      text-align: center;
      margin-top: 20px;
    }

    .toggle-button button {
      background-color: #007bff;
      color: #fff;
      border: none;
      border-radius: 4px;
      padding: 10px 20px;
      font-size: 16px;
      cursor: pointer;
      transition: background-color 0.3s ease;
    }

    .toggle-button button:hover {
      background-color: #0056b3;
    }

    .hidden {
      display: none;
    }

    
    


    
    .correct-icon {
      color: green;
    }

    .wrong-icon {
      color: red;
    }


.text-white {
  color: white;
}

.text-navy-blue {
  color: #000080; /* Hex code for navy blue */
}

.img-fluid {
  max-width: 100%;
  height: auto;
  display: block;
}

.highlight {
  background-color: yellow;
  font-weight: bold;
  color: red;
  transition: background-color 0.3s ease, color 0.3s ease;
}

.highlight:hover {
  background-color: orange; /* Change background on hover */
  color: blue; /* Change text color on hover */
}

.highlight-box {
  display: flex;
  align-items: center;
  padding: 10px;
  border: 2px solid #ffcc00;
  border-radius: 15px;
  background-color: #ffffe0;
  margin: 20px;
  max-width: 800px;
}

.highlight-box i {
  color: #ff9900;
  margin-right: 10px;
  font-size: 14px;
}

.important-text {
  font-weight: normal;
  color: #cc0000;
  font-size: 15px;
}